summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDanilo Bargen2020-01-23 11:39:26 +0100
committerDanilo Bargen2020-01-23 11:58:09 +0100
commit0e09eed92f2012b867f8e654b773fff9d2ae81a9 (patch)
treed963117f0d988eef6f8a316b0e60679cdc0e4877
parentb1d18f01832f464e780878ee58b98b775d9fddb9 (diff)
downloadaur-0e09eed92f2012b867f8e654b773fff9d2ae81a9.tar.gz
Version r204.7a3a565-1
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD28
2 files changed, 20 insertions, 23 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 76d8948f5cd..06d2974faba 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Mon Oct 22 20:25:34 UTC 2018
+# Thu Jan 23 10:58:00 UTC 2020
pkgbase = tealdeer-git
pkgdesc = A fast TLDR client written in Rust.
- pkgver = r150.c1ca5ce
+ pkgver = r204.7a3a565
pkgrel = 1
url = https://github.com/dbrgn/tealdeer
arch = x86_64
@@ -13,17 +13,10 @@ pkgbase = tealdeer-git
makedepends = rust
makedepends = cargo
provides = tldr
- conflicts = nodejs-tldr
- conflicts = nodejs-tldr-git
- conflicts = tealdeer
- conflicts = tldr-bash-git
- conflicts = tldr-cpp-client
- conflicts = tldr-git
- conflicts = tldr-go-client-git
- conflicts = tldr-python-client
+ conflicts = tldr
options = !emptydirs
source = git+https://github.com/dbrgn/tealdeer
- md5sums = SKIP
+ sha256sums = SKIP
pkgname = tealdeer-git
diff --git a/PKGBUILD b/PKGBUILD
index f64026f53e3..446c3ec82f9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,8 @@
# Maintainer: Danilo Bargen <aur at dbrgn dot ch>
pkgname=tealdeer-git
_name=tealdeer
-pkgver=r150.c1ca5ce
+_binname=tldr
+pkgver=r204.7a3a565
pkgrel=1
pkgdesc="A fast TLDR client written in Rust."
arch=('x86_64' 'i686')
@@ -10,32 +11,35 @@ license=('MIT' 'Apache')
depends=()
makedepends=('git' 'rust' 'cargo')
provides=('tldr')
-conflicts=('nodejs-tldr' 'nodejs-tldr-git' 'tealdeer' 'tldr-bash-git' 'tldr-cpp-client'
- 'tldr-git' 'tldr-go-client-git' 'tldr-python-client')
+conflicts=('tldr')
options=(!emptydirs)
source=('git+https://github.com/dbrgn/tealdeer')
-md5sums=('SKIP')
+sha256sums=('SKIP')
build() {
- cd "$srcdir/$_name"
+ cd "$srcdir/$_name" || exit 1
+
+ # Patch version
sed -i 's/^version = "\(.*\)"/version = "\1-aur-'${pkgver}'"/' Cargo.toml
+
+ # Build a release build
cargo build --release
}
package() {
- cd "$srcdir/$_name"
+ cd "$srcdir/$_name" || exit 1
# Install binary
- mkdir -p $pkgdir/usr/bin
- install -o root -g root -m 755 target/release/tldr $pkgdir/usr/bin
+ install -D -o root -g root -m 755 target/release/tldr "$pkgdir/usr/bin/${_binname}"
- # Install bash completions
- mkdir -p $pkgdir/usr/share/bash-completion/completions
- install -o root -g root -m 644 bash_tealdeer $pkgdir/usr/share/bash-completion/completions/tldr
+ # Install shell completions
+ install -D -o root -g root -m 644 bash_tealdeer "$pkgdir/usr/share/bash-completion/completions/${_binname}"
+ install -D -o root -g root -m 644 fish_tealdeer "${pkgdir}/usr/share/fish/completions/${_binname}.fish"
+ install -D -o root -g root -m 644 zsh_tealdeer "${pkgdir}/usr/share/zsh/site-functions/_${_binname}"
}
pkgver() {
- cd "$srcdir/$_name"
+ cd "$srcdir/$_name" || exit 1
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}